# Get Location

> Management API · Locations

```http
GET https://app.mk.io/api/v1/locations/{location_name}
```

Retrieves the specified Location.

RBAC Capability Required: `core.location.get`

## Authentication

- `Authorization` header — Bearer authentication of the form `Bearer <token>`.

## Path parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `location_name` | string | Yes | — |

## Example request

```bash
curl -X GET "https://app.mk.io/api/v1/locations/{location_name}" \
  -H "Authorization: Bearer <token>"
```

## Responses

### 200 — Location

- `metadata` · object · **Required** — Metadata.
  - `displayName` · string · Optional — The display name of the resource
  - `id` · string · **Required** · _format: uuid_ — The ID of the resource
  - `name` · string · Optional — The name of the resource
- `spec` · object · **Required** — Specification.
  - `cloud` · object · Optional — Cloud.
    - `displayName` · string · **Required** — The display name of the cloud.
    - `name` · string · Optional — The unique name of the cloud.
    - `region` · object · Optional — Cloud region.
      - `displayName` · string · **Required** — The display name of the cloud region.
      - `name` · string · Optional — The name of the cloud region (unique within the cloud).
  - `organization` · object · Optional — Organization information if applicable.
    - `id` · string or null · Optional · _format: uuid_ — ID of the organization.
    - `name` · string · **Required** — Name of the organization.
  - `type` · enum · **Required** — Is the location one that is usable only by your your organization?
    - Allowed values: `SaaS`, `Dedicated`

Example:

```json
{
  "metadata": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string"
  },
  "spec": {
    "cloud": {
      "displayName": "Azure",
      "name": "azure",
      "region": {
        "displayName": "UK South",
        "name": "uksouth"
      }
    },
    "organization": {
      "id": "00000000-0000-0000-0000-000000000000",
      "name": "MediaKind"
    },
    "type": "SaaS"
  }
}
```

### 400 — Bad Request

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 401 — Unauthorized

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 403 — Forbidden

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 404 — Not Found

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 429 — Too Many Requests

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

### 500 — Internal Server Error

- `error` · object · **Required** — Pertinent information about the error
  - `code` · string · **Required** — The error code.
  - `detail` · string · **Required** — The error message.
  - `extraDetail` · map from strings to any · Optional — Extra information regarding this error.
    - `[any key]` · any — map of additional properties
- `ref` · string · **Required** — A reference to the request that caused the error.
- `status` · integer · **Required** — The HTTP status code

Example:

```json
{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}
```

---

Source spec: `management-api` · operationId: `[get]_/api/v1/locations/{location_name}`
